Subject: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Dmitry Gutov <[email-masked]>
Date: Thu, 25 May 2023 04:15:32 +0300

On 24/05/2023 09:25, Juri Linkov wrote:
>>> Sharing between vc and project would be nice.  If possible, this will
>>> allow a shorter modeline indicator that will combine vc and project like
>>>     --- project-branch ---
>>> where the project name replaces the vc-backend name.
>> That indeed sounds like something that should require specific
>> configuration. There can be projects without a branch, or branches without
>> "current project".
>>
>> Or situations like the project root is not the vc root. E.g. when the
>> current buffer is in a submodule (so the current branch is submodule's),
>> and the project pertains to the parent repository.
> The idea is simple: just to replace the backend name by the project name
> when the project and its name are non-nil.

I'm not sure the effect will be clear enough and appreciated by all of 
our users.